Relatório de atendimento

GET
/v1/reports/service

Atendimento: conversas, tempos de primeira resposta e de resolução, SLA e atendentes. period é today, 7d, 30d (padrão), 90d ou custom com from e to.

Escopo: conversations:read

Autorização

bearer conversations:read
headerAutorizaçãoBearer <token>

A chave de API de uma conta de serviço (sk_live_…, 600 requisições por minuto cada) ou um access token OAuth para o recurso /api/v1 (600 requisições por minuto por conexão).

Escopo: conversations:read

period?string
Valor em"today""7d""30d""90d""custom"
from?string

YYYY-MM-DD, with period custom.

Padrão^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatodate
to?string

YYYY-MM-DD, with period custom.

Padrão^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatodate
number?string

A number's id, from list_numbers.

Tamanho1 <= length <= 100
team?string

A team's id, from list_teams.

Tamanho1 <= length <= 100
agent?string

A member's id, from list_members.

Tamanho1 <= length <= 100
automation?string
Tamanho1 <= length <= 100
campaign?string
Tamanho1 <= length <= 100
pipeline?string
Tamanho1 <= length <= 100
origin?string
Valor em"direct""form""import""campaign""team"

Corpo da resposta

Feito.

application/json
  1. response
workspace*string
range*
now*string
Formatodate-time
time_zone*string
summary*
change*number|null
resolve_delta*number|null
target*number|null
days*array<>
numbers*array<>
hours*array<>
teams*array<>
worst*|null
over*array<>
agents*array<>
improvements*array<||>
periods*array<>
Exemplo de requisição
curl -X GET 'https://app.zaplin.com.br/api/v1/reports/service' \  -H 'Authorization: Bearer sk_live_...'
Exemplo de resposta
{  "workspace": "string",  "range": {    "from": "2026-10-17",    "to": "2026-10-17",    "days": 0,    "previous": {      "from": "2026-10-17",      "to": "2026-10-17"    }  },  "now": "2026-10-17T12:00:00.000Z",  "time_zone": "string",  "summary": {    "count": 0,    "first_minutes": 0,    "resolve_minutes": 0,    "resolved": 0,    "out_of_hours": 0,    "ai_out_of_hours": 0,    "without_agent": 0,    "handed_over": 0  },  "change": 0,  "resolve_delta": 0,  "target": 0,  "days": [    {      "day": "2026-10-17",      "opened": 0,      "resolved": 0    }  ],  "numbers": [    {      "id": "string",      "name": "string",      "count": 0    }  ],  "hours": [    {      "hour": 0,      "average": 0    }  ],  "teams": [    {      "id": "string",      "name": "string",      "target": 0,      "first_minutes": 0    }  ],  "worst": {    "name": "string",    "days": 0  },  "over": [    {      "team": "string",      "day": "2026-10-17",      "team_id": "string",      "minutes": 0    }  ],  "agents": [    {      "name": "string",      "team": "string",      "agent_id": "string",      "count": 0,      "first_minutes": 0,      "first_seconds": 0,      "resolve_minutes": 0,      "resolved": 0    }  ],  "improvements": [    {      "kind": "peak",      "hours": [        0      ]    }  ],  "periods": [    {      "id": "string",      "conversation_id": "string",      "contact_name": "string",      "started_at": "2026-10-17T12:00:00.000Z",      "day": "2026-10-17",      "hour": 0,      "weekday": 0,      "number_id": "string",      "team_id": "string",      "agent_id": "string",      "first_minutes": 0,      "first_seconds": 0,      "closed_day": "2026-10-17",      "resolve_minutes": 0,      "out_of_hours": false,      "first": "team",      "ai_seconds": 0,      "member_replied": false    }  ]}